
From: Andrew Morton <akpm@osdl.org>

Fighting a losing battle here..

Cc: Alexander Nyberg <alexn@telia.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/proc/proc_misc.c |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

diff -puN fs/proc/proc_misc.c~page-owner-tracking-leak-detector-oops-fix-tidy fs/proc/proc_misc.c
--- 25/fs/proc/proc_misc.c~page-owner-tracking-leak-detector-oops-fix-tidy	Mon Sep 12 16:18:17 2005
+++ 25-akpm/fs/proc/proc_misc.c	Mon Sep 12 16:18:17 2005
@@ -751,9 +751,11 @@ read_page_owner(struct file *file, char 
 	for (i = 0; i < 8; i++) {
 		if (!page->trace[i])
 			break;
-		symname = kallsyms_lookup(page->trace[i], &symsize, &offset, &modname, namebuf);
-		ret = snprintf(kbuf + num_written, count - num_written, "[0x%lx] %s+%lu\n",
-			page->trace[i], namebuf, offset);
+		symname = kallsyms_lookup(page->trace[i], &symsize, &offset,
+					&modname, namebuf);
+		ret = snprintf(kbuf + num_written, count - num_written,
+				"[0x%lx] %s+%lu\n",
+				page->trace[i], namebuf, offset);
 		if (ret >= count - num_written) {
 			ret = -ENOMEM;
 			goto out;
_
